CREATE TABLE fa_descriptive_details_int (
    DESCRIPTIVE_DETAIL_ID        NUMBER(18, 0) ,
    TRANSACTION_TYPE_CODE        VARCHAR2(120)     NOT NULL,
    TRANSACTION_NAME             VARCHAR2(960) ,
    ERROR_MSG                    VARCHAR2(4000),
    POSTING_STATUS               VARCHAR2(120) ,
    LOAD_REQUEST_ID              NUMBER(18, 0) ,
    CREATION_DATE                TIMESTAMP(6)  ,
    CREATED_BY                   VARCHAR2(256) ,
    LAST_UPDATE_DATE             TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    LAST_UPDATED_BY              VARCHAR2(256) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    BOOK_TYPE_CODE               VARCHAR2(120)     NOT NULL,
    BATCH_NAME                   VARCHAR2(120) ,
    ASSET_ID                     NUMBER(18, 0)     NOT NULL,
    ORIGINAL_ASSET_NUMBER        VARCHAR2(120)     NOT NULL,
    UPDATED_ASSET_NUMBER         VARCHAR2(120) ,
    ASSET_KEY_CCID               NUMBER(18, 0) ,
    TAG_NUMBER                   VARCHAR2(60)  ,
    PROPERTY_TYPE_CODE           VARCHAR2(120) ,
    SERIAL_NUMBER                VARCHAR2(140) ,
    PARENT_ASSET_ID              NUMBER(18, 0) ,
    PARENT_ASSET_NUMBER          VARCHAR2(120) ,
    MODEL_NUMBER                 VARCHAR2(160) ,
    COMMITMENT                   VARCHAR2(120) ,
    INVESTMENT_LAW               VARCHAR2(120) ,
    IN_USE_FLAG                  VARCHAR2(4)   ,
    INVENTORIAL                  VARCHAR2(4)   ,
    INTANGIBLE_ASSET_FLAG        VARCHAR2(4)   ,
    PROPERTY_1245_1250_CODE      VARCHAR2(16)  ,
    OWNED_LEASED                 VARCHAR2(60)  ,
    NEW_USED                     VARCHAR2(16)  ,
    MANUFACTURER_NAME            VARCHAR2(1440),
    DESCRIPTION                  VARCHAR2(320) ,
    ASSET_KEY_SEGMENT1           VARCHAR2(120) ,
    ASSET_KEY_SEGMENT2           VARCHAR2(120) ,
    ASSET_KEY_SEGMENT3           VARCHAR2(120) ,
    ASSET_KEY_SEGMENT4           VARCHAR2(120) ,
    ASSET_KEY_SEGMENT5           VARCHAR2(120) ,
    ASSET_KEY_SEGMENT6           VARCHAR2(120) ,
    ASSET_KEY_SEGMENT7           VARCHAR2(120) ,
    ASSET_KEY_SEGMENT8           VARCHAR2(120) ,
    ASSET_KEY_SEGMENT9           VARCHAR2(120) ,
    ASSET_KEY_SEGMENT10          VARCHAR2(120) ,
    CONTEXT                      VARCHAR2(1000),
    ATTRIBUTE_CATEGORY           VARCHAR2(120) ,
    ATTRIBUTE1                   VARCHAR2(600) ,
    ATTRIBUTE2                   VARCHAR2(600) ,
    ATTRIBUTE3                   VARCHAR2(600) ,
    ATTRIBUTE4                   VARCHAR2(600) ,
    ATTRIBUTE5                   VARCHAR2(600) ,
    ATTRIBUTE6                   VARCHAR2(600) ,
    ATTRIBUTE7                   VARCHAR2(600) ,
    ATTRIBUTE8                   VARCHAR2(600) ,
    ATTRIBUTE9                   VARCHAR2(600) ,
    ATTRIBUTE10                  VARCHAR2(600) ,
    ATTRIBUTE11                  VARCHAR2(600) ,
    ATTRIBUTE12                  VARCHAR2(600) ,
    ATTRIBUTE13                  VARCHAR2(600) ,
    ATTRIBUTE14                  VARCHAR2(600) ,
    ATTRIBUTE15                  VARCHAR2(600) ,
    ATTRIBUTE16                  VARCHAR2(600) ,
    ATTRIBUTE17                  VARCHAR2(600) ,
    ATTRIBUTE18                  VARCHAR2(600) ,
    ATTRIBUTE19                  VARCHAR2(600) ,
    ATTRIBUTE20                  VARCHAR2(600) ,
    ATTRIBUTE21                  VARCHAR2(600) ,
    ATTRIBUTE22                  VARCHAR2(600) ,
    ATTRIBUTE23                  VARCHAR2(600) ,
    ATTRIBUTE24                  VARCHAR2(600) ,
    ATTRIBUTE25                  VARCHAR2(600) ,
    ATTRIBUTE26                  VARCHAR2(600) ,
    ATTRIBUTE27                  VARCHAR2(600) ,
    ATTRIBUTE28                  VARCHAR2(600) ,
    ATTRIBUTE29                  VARCHAR2(600) ,
    ATTRIBUTE30                  VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1            NUMBER        ,
    ATTRIBUTE_NUMBER2            NUMBER        ,
    ATTRIBUTE_NUMBER3            NUMBER        ,
    ATTRIBUTE_NUMBER4            NUMBER        ,
    ATTRIBUTE_NUMBER5            NUMBER        ,
    ATTRIBUTE_DATE1              DATE          ,
    ATTRIBUTE_DATE2              DATE          ,
    ATTRIBUTE_DATE3              DATE          ,
    ATTRIBUTE_DATE4              DATE          ,
    ATTRIBUTE_DATE5              DATE          ,
    GLOBAL_ATTRIBUTE_CATEGORY    VARCHAR2(120) ,
    GLOBAL_ATTRIBUTE1            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE2            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE3            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE4            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE5            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE6            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE7            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE8            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE9            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE10           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE11           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE12           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE13           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE14           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE15           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE16           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE17           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE18           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE19           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE20           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_NUMBER1     NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER2     NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER3     NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER4     NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER5     NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER6     NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER7     NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER8     NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER9     NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER10    NUMBER        ,
    GLOBAL_ATTRIBUTE_DATE1       DATE          ,
    GLOBAL_ATTRIBUTE_DATE2       DATE          ,
    GLOBAL_ATTRIBUTE_DATE3       DATE          ,
    GLOBAL_ATTRIBUTE_DATE4       DATE          ,
    GLOBAL_ATTRIBUTE_DATE5       DATE          ,
    GLOBAL_ATTRIBUTE_DATE6       DATE          ,
    GLOBAL_ATTRIBUTE_DATE7       DATE          ,
    GLOBAL_ATTRIBUTE_DATE8       DATE          ,
    GLOBAL_ATTRIBUTE_DATE9       DATE          ,
    GLOBAL_ATTRIBUTE_DATE10      DATE          ,
    DESCRIPTIVE_DETAIL_ID        NUMBER(18, 0) ,
    TRANSACTION_TYPE_CODE        VARCHAR2(120)     NOT NULL,
    TRANSACTION_NAME             VARCHAR2(960) ,
    ERROR_MSG                    VARCHAR2(4000),
    POSTING_STATUS               VARCHAR2(120) ,
    LOAD_REQUEST_ID              NUMBER(18, 0) ,
    CREATION_DATE                TIMESTAMP(6)  ,
    CREATED_BY                   VARCHAR2(256) ,
    LAST_UPDATE_DATE             TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    LAST_UPDATED_BY              VARCHAR2(256) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    BOOK_TYPE_CODE               VARCHAR2(120)     NOT NULL,
    BATCH_NAME                   VARCHAR2(120) ,
    ASSET_ID                     NUMBER(18, 0)     NOT NULL,
    ORIGINAL_ASSET_NUMBER        VARCHAR2(120)     NOT NULL,
    UPDATED_ASSET_NUMBER         VARCHAR2(120) ,
    ASSET_KEY_CCID               NUMBER(18, 0) ,
    TAG_NUMBER                   VARCHAR2(60)  ,
    PROPERTY_TYPE_CODE           VARCHAR2(120) ,
    SERIAL_NUMBER                VARCHAR2(140) ,
    PARENT_ASSET_ID              NUMBER(18, 0) ,
    PARENT_ASSET_NUMBER          VARCHAR2(120) ,
    MODEL_NUMBER                 VARCHAR2(160) ,
    COMMITMENT                   VARCHAR2(120) ,
    INVESTMENT_LAW               VARCHAR2(120) ,
    IN_USE_FLAG                  VARCHAR2(4)   ,
    INVENTORIAL                  VARCHAR2(4)   ,
    INTANGIBLE_ASSET_FLAG        VARCHAR2(4)   ,
    PROPERTY_1245_1250_CODE      VARCHAR2(16)  ,
    OWNED_LEASED                 VARCHAR2(60)  ,
    NEW_USED                     VARCHAR2(16)  ,
    MANUFACTURER_NAME            VARCHAR2(1440),
    DESCRIPTION                  VARCHAR2(320) ,
    ASSET_KEY_SEGMENT1           VARCHAR2(120) ,
    ASSET_KEY_SEGMENT2           VARCHAR2(120) ,
    ASSET_KEY_SEGMENT3           VARCHAR2(120) ,
    ASSET_KEY_SEGMENT4           VARCHAR2(120) ,
    ASSET_KEY_SEGMENT5           VARCHAR2(120) ,
    ASSET_KEY_SEGMENT6           VARCHAR2(120) ,
    ASSET_KEY_SEGMENT7           VARCHAR2(120) ,
    ASSET_KEY_SEGMENT8           VARCHAR2(120) ,
    ASSET_KEY_SEGMENT9           VARCHAR2(120) ,
    ASSET_KEY_SEGMENT10          VARCHAR2(120) ,
    CONTEXT                      VARCHAR2(1000),
    ATTRIBUTE_CATEGORY           VARCHAR2(120) ,
    ATTRIBUTE1                   VARCHAR2(600) ,
    ATTRIBUTE2                   VARCHAR2(600) ,
    ATTRIBUTE3                   VARCHAR2(600) ,
    ATTRIBUTE4                   VARCHAR2(600) ,
    ATTRIBUTE5                   VARCHAR2(600) ,
    ATTRIBUTE6                   VARCHAR2(600) ,
    ATTRIBUTE7                   VARCHAR2(600) ,
    ATTRIBUTE8                   VARCHAR2(600) ,
    ATTRIBUTE9                   VARCHAR2(600) ,
    ATTRIBUTE10                  VARCHAR2(600) ,
    ATTRIBUTE11                  VARCHAR2(600) ,
    ATTRIBUTE12                  VARCHAR2(600) ,
    ATTRIBUTE13                  VARCHAR2(600) ,
    ATTRIBUTE14                  VARCHAR2(600) ,
    ATTRIBUTE15                  VARCHAR2(600) ,
    ATTRIBUTE16                  VARCHAR2(600) ,
    ATTRIBUTE17                  VARCHAR2(600) ,
    ATTRIBUTE18                  VARCHAR2(600) ,
    ATTRIBUTE19                  VARCHAR2(600) ,
    ATTRIBUTE20                  VARCHAR2(600) ,
    ATTRIBUTE21                  VARCHAR2(600) ,
    ATTRIBUTE22                  VARCHAR2(600) ,
    ATTRIBUTE23                  VARCHAR2(600) ,
    ATTRIBUTE24                  VARCHAR2(600) ,
    ATTRIBUTE25                  VARCHAR2(600) ,
    ATTRIBUTE26                  VARCHAR2(600) ,
    ATTRIBUTE27                  VARCHAR2(600) ,
    ATTRIBUTE28                  VARCHAR2(600) ,
    ATTRIBUTE29                  VARCHAR2(600) ,
    ATTRIBUTE30                  VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1            NUMBER        ,
    ATTRIBUTE_NUMBER2            NUMBER        ,
    ATTRIBUTE_NUMBER3            NUMBER        ,
    ATTRIBUTE_NUMBER4            NUMBER        ,
    ATTRIBUTE_NUMBER5            NUMBER        ,
    ATTRIBUTE_DATE1              DATE          ,
    ATTRIBUTE_DATE2              DATE          ,
    ATTRIBUTE_DATE3              DATE          ,
    ATTRIBUTE_DATE4              DATE          ,
    ATTRIBUTE_DATE5              DATE          ,
    GLOBAL_ATTRIBUTE_CATEGORY    VARCHAR2(120) ,
    GLOBAL_ATTRIBUTE1            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE2            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE3            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE4            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE5            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE6            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE7            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE8            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE9            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE10           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE11           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE12           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE13           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE14           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE15           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE16           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE17           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE18           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE19           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE20           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_NUMBER1     NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER2     NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER3     NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER4     NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER5     NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER6     NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER7     NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER8     NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER9     NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER10    NUMBER        ,
    GLOBAL_ATTRIBUTE_DATE1       DATE          ,
    GLOBAL_ATTRIBUTE_DATE2       DATE          ,
    GLOBAL_ATTRIBUTE_DATE3       DATE          ,
    GLOBAL_ATTRIBUTE_DATE4       DATE          ,
    GLOBAL_ATTRIBUTE_DATE5       DATE          ,
    GLOBAL_ATTRIBUTE_DATE6       DATE          ,
    GLOBAL_ATTRIBUTE_DATE7       DATE          ,
    GLOBAL_ATTRIBUTE_DATE8       DATE          ,
    GLOBAL_ATTRIBUTE_DATE9       DATE          ,
    GLOBAL_ATTRIBUTE_DATE10      DATE          ,
    CONSTRAINT pk_fa_descriptive_details_int PRIMARY KEY (DESCRIPTIVE_DETAIL_ID, DESCRIPTIVE_DETAIL_ID)
);
